# Application Fees

## Endpoints

### Retrieve an application fee

- [GET /v1/application_fees/:id](https://docs.stripe.com/api/application_fees/retrieve.md)

### List all application fees

- [GET /v1/application_fees](https://docs.stripe.com/api/application_fees/list.md)

## Events

- `application_fee.created`
Occurs whenever an application fee is created on a charge.

- `application_fee.refunded`
Occurs whenever an application fee is refunded, whether from refunding a charge or from [refunding the application fee directly](https://docs.stripe.com/api/application_fees.md#fee_refunds). This includes partial refunds.

When you collect a transaction fee on top of a charge made for your user (using [Connect](https://docs.stripe.com/docs/connect.md)), an `Application Fee` object is created in your account. You can list, retrieve, and refund application fees.

Related guide: [Collecting application fees](https://docs.stripe.com/docs/connect/direct-charges.md#collect-fees)
